html {
  overflow-y: scroll;
  scrollbar-color: black white;
  scrollbar-width: thin;
}

* {
  text-align: center;
  box-sizing: border-box;
  margin: 0 auto;
  font-size: 15px;
  max-width: 550px;
  text-transform: lowercase;
  -webkit-tap-highlight-color: transparent;
}

a {
  text-decoration: none;
  color: black;
}

body {
  position: absolute;
  background-color: rgb(255, 255, 255);
}

header {
  padding-top: 2rem;
  position: sticky;
  top: 0;
}

main {
  position: relative;
  background-color: white;
}

/* -------------------- Fonts -------------------- */

/* Fraktur-Überschriften */

@font-face {
  font-family: 'UnifrakturCook';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(/fonts/IurA6Yli8YOdcoky-0PTTdkm56n05Xwy1oM.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* Text */

@font-face {
  font-family: 'Figtree';
  font-style: normal;
  font-weight: 100 900;
  font-display: swap;
  src: url(/fonts/loawjoidncejniuwdn.woff2) format('woff2');
}



h1 {
  margin-top: 1rem;
  margin-bottom: 1rem;
  text-transform: uppercase;
  font-size: 1.5rem;
  font-family: "Figtree", sans-serif;  
  font-weight: 750; 
  letter-spacing: 0.05rem;
}

h2 {
  font-size: 1.5rem; 
  font-family: "UnifrakturCook", cursive;
  font-weight: 700;
}

p,a,input,footer {
  font-family: "Figtree", sans-serif; 
  font-weight: 450; 
  letter-spacing: 0.05rem;
  line-height: 1.5;
}

input {
  font-size: 0.75rem;
}

.smallText {
  font-size: 0.75rem;
}

.uppercaseText {
  text-transform: uppercase;
}

.uppercaseBoldText {
  text-transform: uppercase;
  font-weight: bold;
}

.datenschutz_überschrift{
  text-transform: none;
  font-weight: bold;
  font-size: 0.75rem;
}

.datenschutz_fliesstext {
  text-transform: none;
  font-size: 0.75rem;
}

#gradientBtwHeaderAndMain_mainPage, #gradientBtwHeaderAndMain_impressumPage {
  top: -1.2rem;
  position: relative;
  width: 100%;
  height: 2rem;
  margin-bottom: -1.2rem;
  background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255,1));
}

#gradientBtwHeaderAndMain_impressumPage {
  margin-top: 0.5rem;
}

.section_container {
  padding-bottom: 2rem;
}

/* stacheldraht und überschrift */ 
.section_separation_container {
  position: relative;
  margin-bottom: 1.8rem;
}
/* stacheldraht */ 
.separation_image {
  width: 95%;
  translate: 0 20%;
}
/* überschrift */ 
.separation_text {
  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  /*
  background-color: white;
  */

  width: 7.5rem;
}


/* inhalt der sections */

.section_content {
  width: 80%;
}


/* -------------------- Upcoming -------------------- */



.upcoming_poster {
  max-width: 1000px;
  border-style: solid;
  border-color: rgb(0, 0, 0);
  border-width: 0.1rem;
}

.show_description {
  margin-top: 1rem;
}


/* -------------------- Recent -------------------- */


/* Slideshow */
/* Source (losely based on): https://www.w3schools.com/howto/tryit.asp?filename=tryhow_js_slideshow */

/* Slideshow container */
.slideshow_container {
  display: flex;
  flex-direction: row;
  margin: auto;
}

.slide {
  border: 0.1rem solid black;

  /* kein section content div dafür hier die width */
  width: 80%;
  aspect-ratio: calc(595/839);
}

.recentPoster {
  vertical-align: middle;
}

/* Next & previous buttons */
.prev, .next {
  cursor: pointer;
  width: 5px;
  margin: auto;
  padding: 1rem; 
  color: rgb(0, 0, 0);
  user-select: none;
  position: relative;
}

.prev span, .next span {
  position: absolute;
  top: 50%;
  left: 50%;
  font-size: 1.3rem;
  transform: translate(-50%, -50%);
  transition: font-size 0.2s ease;
}

/* incresase size on hover */
.prev :active, .next :active {
  font-size: 2rem;
}



/* -------------------- Newsletter -------------------- */


input[type=text], input[type=email] {
  width: 100%;
  padding: 1rem;
  margin-top: 1rem;
  border: 0;
  border-bottom: 0.1rem solid black;
}

input[type=text]:focus, input[type=email]:focus {
  outline: none;
}

input[type=submit] {
  margin-top: 2rem;
  padding: 0.8rem 3rem;
  border-radius: 4rem;
  border: 0.1rem black solid;
  background-color: white;
  transition: 0.4s ease;
}
input[type=submit]:hover {
  color: white;
  background-color: rgb(0, 0, 0);
}



/* -------------------- Contact -------------------- */


.insta_link {
  width: 100%;
  height: auto;
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;
  align-items: center;
}

.instaLogo{
  height: 1.2rem;
  padding: 0.25rem;
  margin: 0;
}

.pfeil{
  height: 0.75rem;
  padding-top: 0.2rem;
  padding-left: 0.16rem;
  margin: 0;
}

.instaName {
  margin: 0;
}



/* -------------------- Footer -------------------- */

/* Unterscheidung je nach screensize welcher Footer angezeigt wird */

/* großer Screen */

.footer_bigScreen{
  width: 100%;
  position: relative;
  background-color: white;
  display: none;
  padding-top: 1.2rem;
}

.footer_black_bigScreen {
  position: relative;
  height: 8rem;
  background-image: url(bilder/footer_large.webp);
  background-position: top;
  background-size: cover;
}

.footer_text_bigScreen {
  color: rgb(255, 255, 255);
  padding-top: 3.5rem;
  text-transform: uppercase;
}


.footer_text_bigScreen a {
  color: white;
}

/* kleiner Screen */

.footer_smallScreen{
  width: 100%;
  position: relative;
  background-color: white;
  background-size: cover;
  padding-top: 1.2rem;
}


.footer_seperation_torn_smallScreen {
  display: block;
}

.footer_text_smallScreen {
  margin: 0 auto;
  background-color: black;
  color: white;
  padding-top: 1rem;
  padding-bottom: 1.5rem;
  text-transform: uppercase;
}

.footer_text_smallScreen a {
  color: white;
}



/* -------------------- Respionsive - Anpassen auf screensize -------------------- */



@media only screen and (max-width: 470px) { 
  html {
    scrollbar-width: none;  
  }
  * {
    font-size: 16px;
    max-width: 100vw; 
  }  

  ::-webkit-scrollbar {
    -webkit-appearance: none;
  }   
}

@media only screen and (min-width: 470px) and (max-width: 550px) {
  html {
    scrollbar-width: none; 
  }  
  * {
    font-size: 18px;
    max-width: 100vw;  
  }

  ::-webkit-scrollbar {
    -webkit-appearance: none;
  }
}

@media only screen and (min-width: 550px) and (max-width: 992px) {
  * {
    font-size: 18px;
  }  

  body {
    padding: 1rem;
    padding-top: 0;
    padding-bottom: 0;
  }

  .footer_bigScreen{
    display: block;
  }
  .footer_smallScreen{
    display: none;
  }

}

@media only screen and (min-width: 992px) and (max-width: 1281px) {
  * {
    font-size: 18px;
  } 

  body {
    padding: 2.5rem;
    padding-top: 0;
    padding-bottom: 0;
  }

 
  .footer_bigScreen{
    display: block;
  } 
  .footer_smallScreen{
    display: none;
  }

}

@media only screen and (min-width: 1281px) {
  * {
    font-size: 20px;
  } 
  .footer_bigScreen{
    display: block;
  } 
  .footer_smallScreen{
    display: none;
  }

}